function pdex1
global x_end dx time
m = 0;
x = 0:dx:x_end;
elements=time; 
t = 1:1:time;


sol = pdepe(m,@pdex1pde,@pdex1ic,@pdex1bc,x,t);
% Extract the first solution component as u.
u = sol(:,:,1); % modelled water level distribution in m.

save ('Water_level','u')


% define the Saint-Venant equation to the form that can be accepted by the pdepe function--------------------------------------------------------------
function [c,f,s] = pdex1pde(x,t,u,DuDx)
global  sl n Time Q1
c =1; 
f =1/(n*sqrt(sl))*u^(5/3)*(DuDx-sl);
ind=find(t<=Time,1,'first')
   R1=Q1(ind,1)/1000;
s=R1;

% define initial condition: zero water storage--------------------------------------------------------------
function u0 = pdex1ic(x)
u0 =0;

% define boundary condition --------------------------------------------------------------
function [pl,ql,pr,qr] = pdex1bc(xl,ul,xr,ur,t)
global n sl
pl=ul;
ql =0;
pr =1/(n*sqrt(sl))*ur^(5/3)*sl;
qr =1;



